
package de.ivu.elect.presentation.wahllokalsystem.action;

import javax.inject.Inject;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.business.wahllokalsystem.entity.WahllokalsystemStatus;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.wahllokalsystem.WahllokalsystemStatusAnzeigenView;

public class WahllokalsystemStatusAnzeigenAction extends AbstractWahllokalsystemStatusAction {

  private static final long serialVersionUID = 1L;

  @View
  @Inject
  private transient WahllokalsystemStatusAnzeigenView anzeigenView;

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.WAHLLOKALSYSTEM_STATUS_SEARCH;
  }

  @Override
  protected String doIt(WahllokalsystemStatus wahllokalsystemStatus) {
    return anzeigenView.edit(wahllokalsystemStatus);
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.view";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconView();
  }

}
